/**
 * Created by Benny on 29.03.2016.
 */

"use strict";

var app = app || {};
app.core = app.core || {};

/**
 * Placeholder for global persistent data
 *
 * @type {{init: Function, run: Function}}
 */
app.core.G = {

    // Persistent data
    sessionId : null,

    init : function() {
        var p = AHDF.Cache.getAll();
        if ( _.isObject( p ) ) {
            for ( var prop in p ) {
                this[prop] = p[prop];
            }
        }
    }
    ,
    set : function( key, value ) {
        AHDF.Cache.set( key, value );
        this[ key ] = value;
    }
};